"""GAIA MCP Servers API package."""

from .action_collection import ActionArguments, ActionCollection, ActionResponse
from .documents import (
    CSVCollection,
    DocumentMetadata,
    DOCXExtractionCollection,
    PDFDocumentCollection,
    PPTXCollection,
    TextCollection,
    XLSXCollection,
)
from .intelligence import CodeCollection, CodeGenerationMetadata, ThinkCollection
from .media import (
    AudioCollection,
    AudioMetadata,
    ImageCollection,
    ImageMetadata,
    KeyframeResult,
    VideoAnalysisResult,
    VideoCollection,
    VideoMetadata,
    VideoSummaryResult,
)
from .tools import (
    ArxivCollection,
    ArxivMetadata,
    BrowserCollection,
    BrowserMetadata,
    DownloadCollection,
    DownloadMetadata,
    DownloadResult,
    PaperResult,
    PubChemCollection,
    PubChemMetadata,
    SearchCollection,
    SearchMetadata,
    SearchResult,
    TerminalCollection,
    TerminalMetadata,
    TranscriptResult,
    WaybackCollection,
    WaybackMetadata,
    WikipediaArticle,
    WikipediaCollection,
    WikipediaMetadata,
    WikipediaSearchResult,
    YouTubeCollection,
    YoutubeDownloadResults,
    YouTubeMetadata,
)

__all__ = [
    "ActionCollection",
    "ActionResponse",
    "ActionArguments",
    # Documents
    "CSVCollection",
    "DOCXExtractionCollection",
    "PDFDocumentCollection",
    "PPTXCollection",
    "TextCollection",
    "XLSXCollection",
    "DocumentMetadata",
    # Intelligence
    "CodeCollection",
    "CodeGenerationMetadata",
    "ThinkCollection",
    # Media
    "AudioCollection",
    "AudioMetadata",
    "ImageCollection",
    "ImageMetadata",
    "VideoCollection",
    "VideoMetadata",
    "VideoAnalysisResult",
    "VideoSummaryResult",
    "KeyframeResult",
    # Tools
    "ArxivCollection",
    "ArxivMetadata",
    "PaperResult",
    "BrowserCollection",
    "BrowserMetadata",
    "DownloadCollection",
    "DownloadMetadata",
    "DownloadResult",
    "PubChemCollection",
    "PubChemMetadata",
    "SearchCollection",
    "SearchMetadata",
    "SearchResult",
    "TerminalCollection",
    "TerminalMetadata",
    "WaybackCollection",
    "WaybackMetadata",
    "WikipediaArticle",
    "WikipediaMetadata",
    "WikipediaCollection",
    "WikipediaSearchResult",
    "YouTubeCollection",
    "YouTubeMetadata",
    "TranscriptResult",
    "YoutubeDownloadResults",
]
